
%if %{?fedora}%{?rhel} >= 5
%define useselinux 1
%else
%define useselinux 0
%endif


Summary: Addons for the virtualization stack based on libvirt/KVM
Name: virt-stack
Version: 0.1.0
Release: 1.beta0
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch

License: GPL
Group: Virtualization
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: libvirt => 0.8.2
Requires: python-virtinst
Requires: kvm
Requires: lvm2
Requires: util-linux
Requires: xmlstarlet
Requires: virt-backup

Requires(pre): shadow-utils
Requires(preun): initscripts, chkconfig
Requires(postun): initscripts
Requires(post): initscripts, chkconfig

%if %{useselinux}
BuildRequires: selinux-policy-devel
BuildRequires: checkpolicy
Requires: policycoreutils
%endif


AutoReq: no

%description
This package contains utilities for virtualization stack
on RHEL & ci. It provides for example SELinux policy, hook
scripts to set permissions on ressources files
etc...

%prep
%setup -q

%build
%if %{useselinux}
   # SElinux
   pushd selinux
   make -f %{_datadir}/selinux/devel/Makefile
   popd
%endif 

%install

%{__rm} -rf $RPM_BUILD_ROOT

# Install libvirt hooks scripts
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/hooks
%{__install} -m 0755 scripts/hooks-daemon $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/hooks/daemon
%{__install} -m 0755 scripts/hooks-qemu $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/hooks/qemu

# Install SELinux module
%if %{useselinux}
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/selinux/packages/%{name}
%{__install} -m 644 selinux/%{name}.pp $RPM_BUILD_ROOT%{_datadir}/selinux/packages/%{name}/
%endif

# Install KSM init script
%{__mkdir_p} $RPM_BUILD_ROOT%{_initrddir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
%{__install} -m 0755 scripts/init-ksm $RPM_BUILD_ROOT%{_initrddir}/ksmd
%{__install} -m 644 conf/ksmd.conf $RPM_BUILD_ROOT%{_sysconfdir}/ksmd.conf

# Create backup dir
%{__mkdir_p} $RPM_BUILD_ROOT%{_localstatedir}/lib/libvirt/backup

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
getent group kvm >/dev/null || groupadd -g 36 -r kvm
getent group qemu >/dev/null || groupadd -g 107 -r qemu
getent passwd qemu >/dev/null || \
  useradd -r -u 107 -g qemu -G kvm -d / -s /sbin/nologin \
    -c "qemu user" qemu

%preun
if [ $1 = 0 ]; then
  service ksm stop > /dev/null 2>&1 || :
  chkconfig --del ksm || :
fi

%post
%if %{useselinux}
(
# Install/update Selinux policy
semodule -i %{_datadir}/selinux/packages/%{name}/%{name}.pp
) &>/dev/null
%endif
chkconfig --add ksmd || :


%files
%defattr(-,root,root,-)
%{_sysconfdir}/libvirt/hooks/*
%{_initrddir}/*
%config(noreplace) %{_sysconfdir}/*.conf
%dir %attr(0770, qemu, kvm) %{_localstatedir}/lib/libvirt/backup
%if %{useselinux}
%{_datadir}/selinux/packages/%{name}/%{name}.pp
%endif

%changelog
* Tue May 23 2012 Daniel B. <daniel@firewall-services.com> - 0.1.0-1
- Import to GIT
- Move virt-backup in its own rpm

* Thu Jan 12 2012 Daniel B. <daniel@firewall-services.com> - 0.0.1-5
- Add support for --shutdown and --shutdown-timeout (patch from 
  Asher Schaffer <asher@squaretrade.com>)

* Wed Sep 07 2011 Daniel B. <daniel@firewall-services.com> - 0.0.1-4
- Add support for chunkfs based mount points

* Mon Apr 04 2011 Daniel B. <daniel@firewall-services.com> - 0.0.1-3
- Remove logrotate conf (included in libvirt 0.9.0)

* Thu Jan 20 2011  Daniel B. <daniel@firewall-services.com> - 0.0.1-2
- Add libvirtd logrotate file

* Wed Nov 10 2010 Daniel B. <daniel@firewall-services.com> - 0.0.1-1
- Initial release

